JsonCpp project page | Classes | Namespace | JsonCpp home page

config.h File Reference
`#include <cstddef>`
`#include <cstdint>`
`#include <istream>`
`#include <memory>`
`#include <ostream>`
`#include <sstream>`
`#include <string>`
`#include <type_traits>`
`#include "allocator.h"`
`#include "version.h"`

Go to the source code of this file.

## Namespaces

namespace | Json
| JSON (JavaScript Object Notation).

## Macros

#define | JSON_USE_EXCEPTION 1
#define | JSON_USE_NULLREF 1
#define | JSON_API
| If defined, indicates that the source file is amalgamated to prevent private header inclusion.
#define | jsoncpp_snprintf msvc_pre1900_c99_snprintf
#define | JSONCPP_OVERRIDE override
#define | JSONCPP_DEPRECATED(message)
#define | JSON_HAS_INT64

## Typedefs

using | Json::Int = int
using | Json::UInt = unsigned int
using | Json::Int64 = __int64
using | Json::UInt64 = unsigned __int64
using | Json::LargestInt = Int64
using | Json::LargestUInt = UInt64
template<typename T>
using | Json::Allocator
using | Json::String = std::basic_string<char, std::char_traits<char>, Allocator<char>>
using | Json::IStringStream
using | Json::OStringStream
using | Json::IStream = std::istream
using | Json::OStream = std::ostream
using | JSONCPP_STRING = Json::String
using | JSONCPP_ISTRINGSTREAM = Json::IStringStream
using | JSONCPP_OSTRINGSTREAM = Json::OStringStream
using | JSONCPP_ISTREAM = Json::IStream
using | JSONCPP_OSTREAM = Json::OStream

## Functions

int | msvc_pre1900_c99_snprintf (char *outBuf, size_t size, const char *format,...)
const char * | Json::version ()

## Macro Definition Documentation

## JSON_API

#define JSON_API

If defined, indicates that the source file is amalgamated to prevent private header inclusion.

Remarks: it is automatically defined in the generated amalgamated header.

Definition at line 50 of file config.h.

Referenced by msvc_pre1900_c99_snprintf(), and Json::newlineScanByteCountForTesting().

## JSON_HAS_INT64

#define JSON_HAS_INT64

Definition at line 127 of file config.h.

## JSON_USE_EXCEPTION

#define JSON_USE_EXCEPTION 1

Definition at line 20 of file config.h.

## JSON_USE_NULLREF

#define JSON_USE_NULLREF 1

Definition at line 25 of file config.h.

## JSONCPP_DEPRECATED

#define JSONCPP_DEPRECATED | ( |  | message | ) |

Value:
__declspec(deprecated(message))

Definition at line 89 of file config.h.

## JSONCPP_OVERRIDE

#define JSONCPP_OVERRIDE override

Definition at line 75 of file config.h.

## jsoncpp_snprintf

#define jsoncpp_snprintf msvc_pre1900_c99_snprintf

Definition at line 63 of file config.h.

## Typedef Documentation

## JSONCPP_ISTREAM

using JSONCPP_ISTREAM = Json::IStream

Definition at line 150 of file config.h.

## JSONCPP_ISTRINGSTREAM

using JSONCPP_ISTRINGSTREAM = Json::IStringStream

Definition at line 148 of file config.h.

## JSONCPP_OSTREAM

using JSONCPP_OSTREAM = Json::OStream

Definition at line 151 of file config.h.

## JSONCPP_OSTRINGSTREAM

using JSONCPP_OSTRINGSTREAM = Json::OStringStream

Definition at line 149 of file config.h.

## JSONCPP_STRING

using JSONCPP_STRING = Json::String

Definition at line 147 of file config.h.

## Function Documentation

## msvc_pre1900_c99_snprintf()

int msvc_pre1900_c99_snprintf | ( | char * | outBuf,
|  | size_t | size,
|  | const char * | format,
|  |  | ... )

extern

Definition at line 33 of file json_value.cpp.

References JSON_API, and msvc_pre1900_c99_vsnprintf().